aboutsummaryrefslogtreecommitdiffstats
path: root/x11/libXau/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-02-15 11:54:29 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-16 07:21:05 +0000
commite63cb64cebc6bad9c511912bfe33a72cb42743c8 (patch)
tree68b4fb2bc8eb72a912c3a0d79538900887636612 /x11/libXau/APKBUILD
parent8bd29a287e98104263af412415bd5325100c0e44 (diff)
downloadaports-e63cb64cebc6bad9c511912bfe33a72cb42743c8.tar.gz
aports-e63cb64cebc6bad9c511912bfe33a72cb42743c8.tar.bz2
aports-e63cb64cebc6bad9c511912bfe33a72cb42743c8.tar.xz
x11: added libX11 and depends
Diffstat (limited to 'x11/libXau/APKBUILD')
-rw-r--r--x11/libXau/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/x11/libXau/APKBUILD b/x11/libXau/APKBUILD
new file mode 100644
index 0000000000..b4b8bfdfd8
--- /dev/null
+++ b/x11/libXau/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libXau
+pkgver=1.0.4
+pkgrel=0
+pkgdesc="X11 authorisation library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends="uclibc"
+makedepends="pkgconfig xproto"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://xorg.freedesktop.org/releases/individual/lib/libXau-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/libXau-$pkgver
+ ./configure --prefix=/usr --sysconfdir=/etc || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -m755 -d "$pkgdir"/usr/share/licenses/$pkgname
+ install -m644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING || return 1
+}
+md5sums="0f2b88d857e0a3f5898e4759c541af46 libXau-1.0.4.tar.bz2"